Get Rwa Tax Report
GET
/api/rwa/wallets/{address}/rwa-tax-report
const url = 'https://api.qeychain.xyz/api/rwa/wallets/example/rwa-tax-report';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.qeychain.xyz/api/rwa/wallets/example/rwa-tax-reportGenerate RWA tax report for a wallet. Separates interest income (yield) from capital gains (disposals). Returns structured data for Form 8949 + Schedule B.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Query Parameters
Section titled “Query Parameters”tax_year
Tax Year
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}